# CRUDBooster Documentation 
## Table Of Contents
- [How To Install/Update](./installation.md)
- [How To Create A Module (CRUD)](./how-to-create-module.md)
- **Grid Data Column Section**
  - [How To Add Column In Grid Data](./how-to-add-column.md)
  - [How To Join Table In Grid Data](./how-to-join-in-grid-data.md)
  - [How To Put Number Format In Grid Data Column (callback_php)](./how-to-put-number-format.md)
  - [How To Put Number Format In Grid Data Column (callback)](./how-to-put-number-format-callback.md)
  - [How To Make A Subquery Column in Grid Data](./how-to-make-subquery.md)
  - [How To Add More Action Button In Grid Data](./how-add-more-action-button.md)
  - [How To Add More Bulk Action In Grid Data](./how-add-bulk-button.md)
  - [How To Add More Button At Top Of Grid Data](./how-add-button-top-grid-data.md)
  - [How To Create A Message Info At Top Of Grid Data (Bootstrap Alert)](./how-create-message-top-grid-data.md)
  - [How To Change Color Of Row With Specific Condition](./how-custom-color-row.md)
  - [How To Make A Simple Statistic At Top Of Grid Data](./how-make-simple-statistic.md)
- **Form Section**
  - [How To Make A Child Form (Master - Detail)](./how-to-make-a-child-form.md)
  - [How To Make The Graded Select Boxes (Parent Select -> Child Select -> Etc..)](./how-make-graded-select-box.md)
  - **Form Input Type**
    - [checkbox](./form-checkbox.md)
    - [custom form](./form-custom.md)
    - [datamodal](./form-datamodal.md)
    - [date](./form-date.md)
    - [datetime](./form-datetime.md)
    - [email](./form-email.md)
    - [googlemaps](./form-googlemaps.md)
    - [hidden](./form-hidden.md)
    - [money](./form-money.md)
    - [number](./form-number.md)
    - [password](./form-password.md)
    - [radio](./form-radio.md)
    - [select](./form-select.md)
    - [select2](./form-select2.md)
    - [text](./form-text.md)
    - [textarea](./form-textarea.md)
    - [time](./form-time.md)
    - [upload](./form-upload.md)
    - [wysiwyg](./form-wysiwyg.md)
- [How To Make A Graded Module (Parent Module -> Sub Module -> Sub Module)](./how-to-make-graded-module.md)
- [How To Implement A Many To Many Relationship To Form (E.g : Film -> R <- Actors)](./how-to-many-to-many.md)
- [How To Implement An One To Many Relationship To Form (E.g : Product <- Category)](./how-to-one-to-many.md)
- [How To Put A Custom Condition At Grid Data Query](./how-to-put-custom-condition-grid-data.md)
- [How To Inject A Post Data In Create/Update/Delete Data Process](./how-to-inject-postdata.md)
- [How To Put Your Own Javascript](./how-to-put-your-own-javascript.md)
- [How To Put Your Own CSS Stylesheet](./how-to-put-own-css.md)
- [How To Change The Application Name](./how-to-change-app-name.md)
- [How To Make A Custom View Of Index Method](./how-to-custom-index.md)
- [How To Make A Custom View Of Add Method](./how-custom-view-add.md)
- [How To Make A Custom View Of Edit Method](./how-to-custom-edit-view.md)
- [How To Make A Custom View Of Detail Method](./how-to-custom-detail-view.md)
- [Helpers](./helpers.md)
- [Secure Your Root Directory](./secure-root-directory.md)
